RelayAPI

Check health of all connected accounts

GET
/v1/accounts/health
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Query Parameters

cursor?string

Pagination cursor

limit?integer

Number of items per page

Default20
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://api.relayapi.dev/v1/accounts/health"
{
  "data": [
    {
      "id": "string",
      "platform": "twitter",
      "username": "string",
      "display_name": "string",
      "avatar_url": "string",
      "healthy": true,
      "token_expires_at": "2019-08-24T14:15:22Z",
      "scopes": [
        "string"
      ],
      "workspace": {
        "id": "string",
        "name": "string"
      },
      "sync": {
        "enabled": true,
        "last_sync_at": "2019-08-24T14:15:22Z",
        "next_sync_at": "2019-08-24T14:15:22Z",
        "total_posts_synced": 0,
        "total_sync_runs": 0,
        "last_error": "string",
        "last_error_at": "2019-08-24T14:15:22Z",
        "consecutive_errors": 0,
        "rate_limit_reset_at": "2019-08-24T14:15:22Z"
      },
      "error": {
        "code": "string",
        "message": "string"
      }
    }
  ],
  "next_cursor": "string",
  "has_more": true
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo